Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.lookup
Class JmxRuntimeInputArgumentsLookup

    java.lang.Object
      org.apache.logging.log4j.core.lookup.MapLookup
          org.apache.logging.log4j.core.lookup.JmxRuntimeInputArgumentsLookup

All Implemented Interfaces:
  StrLookup

    @Plugin(name="jvmrunargs",
            category="Lookup")
    public class JmxRuntimeInputArgumentsLookup

extends MapLookup

Maps JVM input arguments (but not main arguments) using JMX to acquire JVM arguments.

Since:
  2.1
See Also:
  `RuntimeMXBean.getInputArguments()`

Field Summary
`static JmxRuntimeInputArgumentsLookup` | `JMX_SINGLETON`

Fields inherited from interface org.apache.logging.log4j.core.lookup.StrLookup
`CATEGORY`

Constructor Summary
`JmxRuntimeInputArgumentsLookup()` Constructor when used directly as a plugin.
`JmxRuntimeInputArgumentsLookup(Map<String,String> map)`

Method Summary

Methods inherited from class org.apache.logging.log4j.core.lookup.MapLookup
`lookup, lookup, setMainArguments`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMX_SINGLETON

    public static final JmxRuntimeInputArgumentsLookup JMX_SINGLETON

Constructor Detail

### JmxRuntimeInputArgumentsLookup

    public JmxRuntimeInputArgumentsLookup()

  Constructor when used directly as a plugin.

### JmxRuntimeInputArgumentsLookup

    public JmxRuntimeInputArgumentsLookup(Map<String,String> map)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.